%-----------------------------------------------------------------------
% Job saved on 24-Feb-2019 10:10:11 by cfg_util (rev $Rev: 6942 $)
% spm SPM - SPM12 (7219)
% cfg_basicio BasicIO - Unknown
%-----------------------------------------------------------------------
matlabbatch{1}.spm.stats.fmri_spec.dir = {'/data/pt_02020/MRI_data/scripts/gut_brain_fbeyer/wanting/analysis_with_modulation/S01_FU1'};
matlabbatch{1}.spm.stats.fmri_spec.timing.units = 'secs';
matlabbatch{1}.spm.stats.fmri_spec.timing.RT = 2;
matlabbatch{1}.spm.stats.fmri_spec.timing.fmri_t = 16;
matlabbatch{1}.spm.stats.fmri_spec.timing.fmri_t0 = 8;
matlabbatch{1}.spm.stats.fmri_spec.sess.scans = {'/data/pt_02020/MRI_data/33696.bb_20190128_095831.PRISMA/NIFTI/swauDICOM_cmrr_mbep2d_bold_2iso_20190128095832_9_e1.nii'};
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).name = 'pictures';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).onset = [58.531
70.0305
80.5299
92.5293
105.5287
115.0282
124.5277
136.5271
148.0266
159.026
168.5255
182.0249
191.0411
201.5406
213.54
226.0393
235.0389
248.0382
259.0377
270.5371
284.0364
292.536
303.5355
316.0349
326.0344
338.0338
346.5333
358.0328
368.5323
381.5483
391.5478
404.0472
415.0466
424.5461
437.0455
448.045
459.5444
469.0439
482.0433
492.0428
503.5422
513.5417
524.0412
534.0407
543.0403
555.0397
566.0558
578.0552
586.5548
598.0542
608.0537
619.5531
630.0526
670.0507
681.5501
694.0495
706.0489
715.0484
726.0479
737.0473
749.0634
760.5629
773.0622
782.5618
794.5612
805.5606
815.0601
828.0595
837.059
846.5586
859.058
871.5574
881.5569
891.0564
902.0558
912.0554
922.0549
933.0543
942.5705
954.5699
966.5693
977.5688
990.0682
999.5677
1011.5671
1022.0666
1030.5662
1043.5655
1052.5651
1066.0644
1076.5639
1089.0633
1099.0628
1111.5622
1122.5616
1135.5776
1145.5771
1157.5766
1167.5761
1178.5755
1188.575
1200.5744
1210.5739
1223.0733
1235.5727
1245.5722
1256.5717
1297.0697
1309.569
1319.5852
1330.0847
1342.0841
1354.0835
1365.5829
1375.0825
1385.5819
1397.5814
1408.5808
1419.5803
1431.5797
1441.0792
1451.5787
1464.078
1474.5775
1487.0769
1496.5764
1507.0926
1517.0921
1529.0915
1540.5909
1553.0903
1566.0897
1575.0892
1586.5886
1597.0881
1607.5876
1619.087
1631.5864
1640.586
1653.0854
1666.0847
1675.0843
1687.0837
1697.0999
1706.5994
1717.5988
1728.0983
1739.5978
1751.0972
1761.5967
1774.0961
1783.0956
1792.5951
1802.5947
1812.5942
1822.5937
1833.5931
1843.5926
1855.0921
1866.5915];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).duration = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).tmod = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).pmod = struct('name', {}, 'param', {}, 'poly', {});
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(1).orth = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).name = 'manual selection';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).onset = [63.9504
64.7032
65.638
66.586
74.5973
75.1196
75.6779
76.1672
84.9492
85.4796
86.1025
86.6385
97.2409
97.801
98.755
99.3249
102.0777
109.9702
110.4629
119.4467
119.973
129.3834
131.0923
131.9157
141.8994
142.4687
142.9481
152.6618
153.2268
153.7719
156.0828
164.9046
165.4665
167.9706
173.218
187.1512
188.8199
189.5668
195.7037
196.1692
197.4237
205.9627
206.5613
206.9125
207.2151
209.1789
218.0024
218.5692
230.5654
231.0864
239.5956
240.4687
253.1645
253.6717
263.8312
275.7424
276.3425
276.9044
288.6773
289.2289
289.6929
290.2078
297.6073
307.9695
308.4271
309.0276
309.5561
309.9922
320.4592
320.9271
331.6155
342.516
342.9892
350.8853
351.408
362.6668
363.6577
364.1676
373.158
373.782
374.355
374.7771
375.1107
385.897
386.3844
386.8886
396.2988
396.8247
408.6953
419.5052
419.9296
420.497
429.0361
429.54
442.0291
442.3782
452.5873
452.8999
453.1742
453.6949
463.9593
464.4818
473.5016
473.9798
474.6669
488.0075
488.5827
488.9954
489.3817
496.759
497.2903
498.1961
499.3045
499.7422
500.2481
508.3493
508.7225
509.1419
518.3575
518.8124
520.4025
521.1829
528.4044
528.8119
530.3512
539.2926
539.9081
540.8848
547.7942
548.5179
560.6872
561.531
563.8409
570.4417
570.9777
571.4977
571.8919
572.2738
582.6214
583.3721
583.8497
584.7394
585.2164
590.7856
591.2007
602.4067
602.8491
612.679
613.1049
614.7847
624.1144
624.4332
634.7902
635.1973
635.8186
636.9085
674.5808
686.4594
699.6202
700.3889
711.427
713.4882
719.5298
719.9831
720.8204
721.2561
730.4027
741.608
741.984
742.6014
742.8774
743.2167
753.4989
753.7871
754.0335
754.2879
754.6245
765.0557
765.5016
765.8855
777.5893
777.9177
778.2789
786.6974
787.1817
799.2194
799.5519
799.8931
809.8224
810.2064
810.4964
810.8902
819.6812
820.1951
832.7712
833.1476
833.5505
841.924
842.3538
843.6474
843.963
844.4018
845.1897
845.7346
846.1176
850.8917
851.2949
863.5739
863.9135
876.4846
877.8662
878.4425
885.475
885.9541
895.3533
895.7531
896.679
906.7307
907.3666
916.634
916.9388
918.7349
926.3775
926.9347
927.3228
927.7863
937.9668
938.3604
939.0386
940.6165
946.9819
959.1633
959.6654
971.1618
971.5828
971.9241
972.2489
983.3409
983.9263
994.4475
995.5944
996.5415
1003.9641
1004.6592
1015.5958
1016.9011
1017.3536
1026.4028
1027.0919
1027.556
1027.9001
1034.91
1035.2634
1048.0803
1048.2773
1048.5713
1057.1494
1057.5013
1057.8693
1058.2807
1071.29
1072.387
1081.3233
1093.5885
1093.902
1094.1923
1103.8517
1104.2898
1104.7296
1116.2249
1116.5234
1116.9452
1117.2641
1117.5811
1127.6385
1128.0184
1128.8414
1129.3224
1139.969
1150.2715
1150.6577
1151.0483
1161.9808
1162.4018
1162.984
1163.33
1171.7869
1174.1006
1183.1393
1183.7719
1185.8178
1193.4805
1205.3187
1205.718
1215.7271
1216.4129
1227.877
1228.2136
1228.5775
1228.8634
1229.179
1239.0969
1239.8444
1240.1706
1249.8298
1250.2176
1250.5171
1261.3952
1261.887
1262.2023
1262.5234
1262.8341
1301.4894
1301.8322
1302.5671
1313.9748
1314.347
1315.0432
1315.5766
1324.3592
1324.7543
1325.2903
1325.6446
1326.1891
1335.1438
1335.4545
1346.6091
1347.0825
1347.4597
1347.9736
1357.7671
1358.3707
1358.7481
1369.8566
1370.2195
1370.9238
1371.25
1379.7288
1380.069
1380.3659
1388.0357
1389.8724
1390.1991
1390.4498
1402.2893
1402.653
1413.6331
1414.5173
1424.1236
1424.4107
1424.7349
1424.9881
1435.9316
1436.4214
1445.6731
1446.0164
1446.3155
1456.2063
1456.6858
1457.3161
1468.9147
1469.2703
1469.6441
1478.3626
1478.9337
1479.2106
1479.7211
1491.442
1491.7833
1500.9618
1501.3455
1501.7904
1502.1582
1502.8094
1511.7108
1512.099
1512.8325
1521.4517
1521.8191
1522.1599
1533.3954
1533.7269
1534.0081
1534.5033
1545.1932
1547.5881
1557.7878
1558.2361
1558.8782
1559.3098
1570.6458
1571.0276
1571.4724
1572.0256
1572.4375
1579.5135
1579.909
1591.0843
1591.5311
1593.3426
1594.8568
1602.0229
1603.2772
1612.6106
1623.8308
1624.1712
1624.4386
1624.6903
1624.9218
1636.1259
1636.4446
1636.7305
1637.0181
1645.3178
1645.6664
1657.8414
1658.2937
1658.7445
1670.6404
1670.9853
1671.2546
1680.2271
1681.2025
1682.0592
1691.6079
1692.8015
1693.2075
1693.6621
1696.0557
1702.1404
1711.0859
1711.5015
1712.0285
1712.4901
1712.838
1722.1003
1722.5295
1722.8843
1732.4263
1732.8541
1733.2805
1743.9732
1744.3315
1744.6394
1744.9955
1755.533
1756.0821
1766.0212
1766.6656
1767.0593
1767.6933
1768.0684
1778.3993
1779.0611
1787.7448
1788.1032
1788.4841
1797.1276
1797.7984
1798.2758
1807.2179
1817.4694
1820.6386
1826.9943
1827.3355
1837.8412
1838.156
1847.8522
1848.1922
1848.473
1850.6908
1859.7341
1860.1251
1860.3929
1860.7602
1861.1009
1871.2333
1871.676
1884.7006
1885.0184
1955.938];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).duration = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).tmod = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).pmod = struct('name', {}, 'param', {}, 'poly', {});
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(2).orth = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).name = 'pic food';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).onset = [72.0305
                                                         94.5293
                                                         107.5287
                                                         126.5277
                                                         138.5271
                                                         161.026
                                                         184.0249
                                                         193.0411
                                                         203.5406
                                                         250.0382
                                                         261.0377
                                                         286.0364
                                                         294.536
                                                         328.0344
                                                         360.0328
                                                         383.5483
                                                         417.0466
                                                         426.5461
                                                         471.0439
                                                         484.0433
                                                         494.0428
                                                         515.5417
                                                         526.0412
                                                         536.0407
                                                         557.0397
                                                         600.0542
                                                         621.5531
                                                         683.5501
                                                         696.0495
                                                         728.0479
                                                         762.5629
                                                         775.0622
                                                         796.5612
                                                         807.5606
                                                         830.0595
                                                         839.059
                                                         873.5574
                                                         883.5569
                                                         904.0558
                                                         914.0554
                                                         944.5705
                                                         979.5688
                                                         992.0682
                                                         1032.5662
                                                         1045.5655
                                                         1068.0644
                                                         1078.5639
                                                         1113.5622
                                                         1124.5616
                                                         1137.5776
                                                         1180.5755
                                                         1212.5739
                                                         1258.5717
                                                         1332.0847
                                                         1344.0841
                                                         1367.5829
                                                         1377.0825
                                                         1421.5803
                                                         1433.5797
                                                         1453.5787
                                                         1489.0769
                                                         1509.0926
                                                         1519.0921
                                                         1542.5909
                                                         1588.5886
                                                         1599.0881
                                                         1609.5876
                                                         1642.586
                                                         1655.0854
                                                         1668.0847
                                                         1689.0837
                                                         1699.0999
                                                         1719.5988
                                                         1753.0972
                                                         1785.0956
                                                         1794.5951
                                                         1804.5947
                                                         1845.5926
                                                         1857.0921
                                                         1868.5915];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).duration = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).tmod = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).pmod.name = 'wanting value food';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).pmod.param = [2
                                                              2
                                                              3
                                                              1
                                                              1
                                                              3
                                                              4
                                                              3
                                                              5
                                                              5
                                                              4
                                                              1
                                                              4
                                                              4
                                                              1
                                                              1
                                                              2
                                                              1
                                                              2
                                                              3
                                                              4
                                                              2
                                                              3
                                                              2
                                                              2
                                                              1
                                                              6
                                                              5
                                                              1
                                                              4
                                                              1
                                                              3
                                                              6
                                                              2
                                                              1
                                                              1
                                                              1
                                                              3
                                                              2
                                                              6
                                                              3
                                                              4
                                                              1
                                                              1
                                                              5
                                                              5
                                                              5
                                                              1
                                                              1
                                                              3
                                                              4
                                                              4
                                                              1
                                                              1
                                                              1
                                                              2
                                                              1
                                                              7
                                                              3
                                                              2
                                                              2
                                                              3
                                                              1
                                                              5
                                                              2
                                                              4
                                                              2
                                                              4
                                                              2
                                                              1
                                                              2
                                                              2
                                                              1
                                                              4
                                                              1
                                                              1
                                                              3
                                                              2
                                                              1
                                                              1];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).pmod.poly = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(3).orth = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).name = 'pic non-food';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).onset = [60.531
                                                         82.5299
                                                         117.0282
                                                         150.0266
                                                         170.5255
                                                         215.54
                                                         228.0393
                                                         237.0389
                                                         272.5371
                                                         305.5355
                                                         318.0349
                                                         340.0338
                                                         348.5333
                                                         370.5323
                                                         393.5478
                                                         406.0472
                                                         439.0455
                                                         450.045
                                                         461.5444
                                                         505.5422
                                                         545.0403
                                                         568.0558
                                                         580.0552
                                                         588.5548
                                                         610.0537
                                                         632.0526
                                                         672.0507
                                                         708.0489
                                                         717.0484
                                                         739.0473
                                                         751.0634
                                                         784.5618
                                                         817.0601
                                                         848.5586
                                                         861.058
                                                         893.0564
                                                         924.0549
                                                         935.0543
                                                         956.5699
                                                         968.5693
                                                         1001.5677
                                                         1013.5671
                                                         1024.0666
                                                         1054.5651
                                                         1091.0633
                                                         1101.0628
                                                         1147.5771
                                                         1159.5766
                                                         1169.5761
                                                         1190.575
                                                         1202.5744
                                                         1225.0733
                                                         1237.5727
                                                         1247.5722
                                                         1299.0697
                                                         1311.569
                                                         1321.5852
                                                         1356.0835
                                                         1387.5819
                                                         1399.5814
                                                         1410.5808
                                                         1443.0792
                                                         1466.078
                                                         1476.5775
                                                         1498.5764
                                                         1531.0915
                                                         1555.0903
                                                         1568.0897
                                                         1577.0892
                                                         1621.087
                                                         1633.5864
                                                         1677.0843
                                                         1708.5994
                                                         1730.0983
                                                         1741.5978
                                                         1763.5967
                                                         1776.0961
                                                         1814.5942
                                                         1824.5937
                                                         1835.5931];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).duration = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).tmod = 0;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).pmod.name = 'wanting_value_nonfood';
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).pmod.param = [4
                                                              1
                                                              1
                                                              2
                                                              3
                                                              2
                                                              4
                                                              1
                                                              3
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              6
                                                              1
                                                              1
                                                              3
                                                              1
                                                              5
                                                              1
                                                              1
                                                              3
                                                              3
                                                              1
                                                              4
                                                              5
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              4
                                                              2
                                                              1
                                                              1
                                                              2
                                                              1
                                                              2
                                                              1
                                                              4
                                                              1
                                                              1
                                                              6
                                                              1
                                                              2
                                                              1
                                                              3
                                                              2
                                                              1
                                                              1
                                                              3
                                                              2
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              6
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              1
                                                              5
                                                              3
                                                              1
                                                              4];
%%
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).pmod.poly = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.cond(4).orth = 1;
matlabbatch{1}.spm.stats.fmri_spec.sess.multi = {''};
matlabbatch{1}.spm.stats.fmri_spec.sess.regress = struct('name', {}, 'val', {});
matlabbatch{1}.spm.stats.fmri_spec.sess.multi_reg = {''};
matlabbatch{1}.spm.stats.fmri_spec.sess.hpf = 128;
matlabbatch{1}.spm.stats.fmri_spec.fact = struct('name', {}, 'levels', {});
matlabbatch{1}.spm.stats.fmri_spec.bases.hrf.derivs = [0 0];
matlabbatch{1}.spm.stats.fmri_spec.volt = 1;
matlabbatch{1}.spm.stats.fmri_spec.global = 'None';
matlabbatch{1}.spm.stats.fmri_spec.mthresh = 0.8;
matlabbatch{1}.spm.stats.fmri_spec.mask = {''};
matlabbatch{1}.spm.stats.fmri_spec.cvi = 'AR(1)';
matlabbatch{2}.spm.stats.fmri_est.spmmat(1) = cfg_dep('fMRI model specification: SPM.mat File', substruct('.','val', '{}',{1}, '.','val', '{}',{1}, '.','val', '{}',{1}), substruct('.','spmmat'));
matlabbatch{2}.spm.stats.fmri_est.write_residuals = 0;
matlabbatch{2}.spm.stats.fmri_est.method.Classical = 1;
